import request from '@/utils/request'
// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}
// 查询专利授权-全国排名列表
export function listRzsNationalRankingInfo(query) {
  return request({
    url: '/reportrzs/rzsNationalRankingInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利授权-全国排名详细
export function getRzsNationalRankingInfo(id) {
  return request({
    url: '/reportrzs/rzsNationalRankingInfo/' + id,
    method: 'get'
  })
}

// 新增专利授权-全国排名
export function addRzsNationalRankingInfo(data) {
  return request({
    url: '/reportrzs/rzsNationalRankingInfo',
    method: 'post',
    data: data
  })
}

// 修改专利授权-全国排名
export function updateRzsNationalRankingInfo(data) {
  return request({
    url: '/reportrzs/rzsNationalRankingInfo',
    method: 'put',
    data: data
  })
}

// 删除专利授权-全国排名
export function delRzsNationalRankingInfo(id) {
  return request({
    url: '/reportrzs/rzsNationalRankingInfo/' + id,
    method: 'delete'
  })
}
